@import url(http://fonts.googleapis.com/css?family=Open+Sans);
@import url(http://fonts.googleapis.com/css?family=Ubuntu+Mono);
body {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    margin: 0px;
    -webkit-user-select: none;
    background-color: #2e2e2e;
    color: white;
}

a {
    color: #3bf;
}

.demo-header {
    background-image: url(/images/header-bg.png);
    background-size: cover;
    background-position: center;
}

#render-container {
    background: radial-gradient(#fff, #aaa);
    /*box-shadow: 0px 0px 16px 0px black;*/
    /*border: 4px solid #333;*/
    /*border-radius: 4px;*/
    /*overflow: hidden;*/
    position: fixed;
}

#controls-container {
    position: fixed;
    /*border: 1px solid #0FF;*/
    overflow-y: auto;
    width: 550px;
}

#renderer-canvas {
    width: 100%;
    height: 100%;
}

#controls-menu {
    position: fixed;
    /*border: 1px solid #F0F;*/
}

#xyz-data {
    width: 384px;
    height: 128px;
}

#ao-indicator {
    position: fixed;
    border-top: 4px solid #3bf;
    top: 0px;
    left: 0px;
}

#error {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: url('noise.png');
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    padding: 64px;
    display: none;
}

.control-help {
    font-style: italic;
    color: #999;
    text-align: right;
    font-family: 'Ubuntu Mono';
}

.control-width {
    width: 128px;
}

textarea {
    outline: none;
}

button {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    border-radius: 4px;
    background: #bbb;
    border: none;
    margin-right: 8;
    padding: 4 8 4 8;
    outline: none;
}


/* The download "button" must be an <a> tag, so I think we
 * need a seperate class for this element alone. Also, we
 * need to make the link black and not underlined.        
 */

a.button {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    border-radius: 4px;
    background: #bbb;
    border: none;
    margin-right: 8;
    padding: 4 8 4 8;
    outline: none;
    text-decoration: none;
    color: #000000;
}

select {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    outline: none;
}

input {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    outline: none;
}

table {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    border-collapse: collapse;
}

td {
    padding-right: 8px;
    padding-bottom: 4px;
    padding-top: 4px;
}

h2 {
    margin-top: 32px;
    margin-left: 0px;
}

p {
    width: 512px;
}

.loader {
    border: 16px solid #2c393f;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
    position: relative;
    top: calc(50% - 60px);
    margin: 0 auto;
}


/* Safari */

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}